package net.wanji.opt.dao.mapper;

import net.wanji.opt.po.base.CrossDirInfoPO;
import org.springframework.stereotype.Repository;

import java.util.List;

/**
 * @author hanbing
 * @date 2023/1/12 13:24
 * @desc CrossInfoMapper
 */
@Repository
public interface CrossDirInfoMapper {

    List<Integer> selectInDirsByCrossId(String endCrossId);

    CrossDirInfoPO selectByCrossIdAndDirType(String crossId, Integer key);

    List<CrossDirInfoPO> selectByCrossId(String crossId);
}
